# host_group_vars – In charge of loading group_vars and host_vars

New in version 2.4.

- Synopsis

- Parameters

- Status

## Synopsis

- Loads YAML vars into corresponding groups/hosts in group_vars/ and host_vars/ directories.

- Files are restricted by extension to one of .yaml, .json, .yml or no extension.

- Hidden (starting with ‘.’) and backup (ending with ‘~’) files and directories are ignored.

- Only applies to inventory sources that are existing paths.

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---
_valid_extensions list | Default: [".yml", ".yaml", ".json"] | ini entries: [yaml_valid_extensions] defaults = ['.yml', '.yaml', '.json'] env:ANSIBLE_YAML_FILENAME_EXT | Check all of these extensions when looking for 'variable' files which should be YAML or JSON or vaulted versions of these. This affects vars_files, include_vars, inventory and vars plugins among others.

## Status

- This vars is not guaranteed to have a backwards compatible interface. [preview]

- This vars is maintained by the Ansible Community. [community]

### Authors

- UNKNOWN

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.